Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class NameCommentRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.NameCommentRecord

    public final class NameCommentRecord

extends StandardRecord

Title: NAMECMT Record (0x0894)

Description: Defines a comment associated with a specified name.

REFERENCE:

Author:
  Andrew Shirley (aks at corefiling.co.uk)

Field Summary
`static short` | `sid`

Constructor Summary
`NameCommentRecord(RecordInputStream ris)`
`NameCommentRecord(java.lang.String name, java.lang.String comment)`

Method Summary
`java.lang.String` | `getCommentText()`
`java.lang.String` | `getNameText()`
`short` | `getRecordType()`
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setCommentText(java.lang.String comment)`
`void` | `setNameText(java.lang.String newName)` Updates the name we're associated with, normally used when renaming that Name
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### NameCommentRecord

    public NameCommentRecord(java.lang.String name,
                             java.lang.String comment)

### NameCommentRecord

    public NameCommentRecord(RecordInputStream ris)

Parameters:
  `ris` - the RecordInputstream to read the record from

Method Detail

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### getNameText

    public java.lang.String getNameText()

  Returns:
    the name of the NameRecord to which this comment applies.

### setNameText

    public void setNameText(java.lang.String newName)

  Updates the name we're associated with, normally used when renaming that Name

### getCommentText

    public java.lang.String getCommentText()

  Returns:
    the text of the comment.

### setCommentText

    public void setCommentText(java.lang.String comment)

### getRecordType

    public short getRecordType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD